Skip to main content
POST
/
api
/
invoices
/
{invoice_uid}
/
attachment
Upload invoice attachment
curl --request POST \
  --url https://dev.exante.app/api/invoices/{invoice_uid}/attachment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'files=<string>' \
  --form files.items='@example-file'
{
  "status": "success",
  "status_code": 201,
  "message": "1 file attachment(s) added successfully",
  "data": [
    {
      "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "filename": "<string>",
      "content_type": "<string>",
      "file_size": 123,
      "uploaded_by": 123,
      "created_on": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "is_public": true,
      "invoice_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "presigned_url": "<string>"
    }
  ]
}
Uploads one or more files using multipart/form-data.

Form field

  • Repeat the files field for every file you want to upload.
  • The response always returns an array of uploaded attachment objects.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

invoice_uid
string<uuid>
required

Invoice UID

Body

multipart/form-data
files
file[]
required

Response

Attachment(s) uploaded

status
string
Example:

"success"

status_code
integer
Example:

201

message
string
Example:

"1 file attachment(s) added successfully"

data
object[]